import React from "react";
import { Store } from "./createStore";
interface ProviderProps<T> {
    store: Store<T>;
    onStateDidChange?: (state: T, lastAction: any) => void;
    initializer?: (state: T) => any;
    ref?: React.Ref<{
        state: T;
        dispatch: () => void;
    }>;
    children: any;
}
declare const Provider: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<ProviderProps<any>, "children" | "store" | "onStateDidChange" | "initializer"> & React.RefAttributes<unknown>>>;
declare type ProvidersListProps = {
    providers: ((props: any) => JSX.Element)[];
    children: JSX.Element;
};
declare function ProvidersList({ children, providers }: ProvidersListProps): JSX.Element;
export { Provider, ProvidersList };
//# sourceMappingURL=provider.d.ts.map